Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQMouseDriverPlugin Class Reference

The TQMouseDriverPlugin class provides an abstract base for TQt/Embedded mouse driver plugins. More...

`#include <qmousedriverplugin_qws.h>`

List of all member functions.

## Public Members

- TQMouseDriverPlugin ()
- ~TQMouseDriverPlugin ()
- virtual TQStringList keys () const = 0
- virtual TQWSMouseHandler * create ( const TQString & driver, const TQString & device ) = 0

## Detailed Description

The TQMouseDriverPlugin class provides an abstract base for TQt/Embedded mouse driver plugins.

The mouse driver plugin is a simple plugin interface that makes it easy to create custom mouse drivers.

Writing a mouse driver plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the `TQ_EXPORT_PLUGIN` macro. See the Plugins documentation for details.

This class is only available in TQt/Embedded.

See also Plugins.

## Member Function Documentation

### TQMouseDriverPlugin::TQMouseDriverPlugin ()

Constructs a mouse driver plugin. This is invoked automatically by the `TQ_EXPORT_PLUGIN` macro.

### TQMouseDriverPlugin::~TQMouseDriverPlugin ()

Destroys the mouse driver plugin.

You never have to call this explicitly. TQt destroys a plugin automatically when it is no longer used.

### TQWSMouseHandler * TQMouseDriverPlugin::create ( const TQString & driver, const TQString & device )`[pure virtual]`

Creates a driver matching the type specified by driver and which uses device device.

See also keys().

### TQStringList TQMouseDriverPlugin::keys () const`[pure virtual]`

Returns the list of mouse drivers this plugin supports.

See also create().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.